<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Equipment</title>
			</head>
			<body>
				<xsl:for-each select="equipments/equipment">
					<xsl:sort select="name" order="ascending"/>
					<table border="1" width="85%" rules="all" cellpadding="5" cellspacing="2">
						<tbody>
							<tr align="center">
								<th colspan="2" bgcolor="pink">
									<h2>
										<xsl:value-of select="name"/>
									</h2>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Family:</th>
								<th>
									<xsl:value-of select="family"/>
								</th>
							</tr>
							<tr align="left">
								<th width="25%" bgcolor="lightblue">Category:</th>
								<th>
									<xsl:value-of select="category"/>
								</th>
							</tr>
							<xsl:if test="subcategory != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Subcategory:</th>
								<th>
									<xsl:value-of select="subcategory"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="type != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Type:</th>
								<th>
									<xsl:value-of select="type"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="description != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Description:</th>
								<th>
									<xsl:value-of select="description"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="cost = -1">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Cost:</th>
								<th>
									<xsl:text >Varies or not applicable</xsl:text>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="cost != -1">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Cost:</th>
								<th>
									<xsl:value-of select="cost"/>
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
									<xsl:value-of select="denomination"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="damage_small != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Damage (Small -- Medium -- Critical):</th>
								<th>
									<xsl:value-of select="damage_small"/> -- <xsl:value-of select="damage_medium"/> -- <xsl:value-of select="critical"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="range_increment != ''">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Range Increment:</th>
								<th>
									<xsl:value-of select="range_increment"/>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="weight != ''">
							<xsl:if test="weight = -1">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Weight:</th>
								<th>
									<xsl:text >Varies or not applicable</xsl:text>
								</th>
							</tr>
							</xsl:if>
							<xsl:if test="weight != -1">
      						<tr align="left">
								<th width="25%" bgcolor="lightblue">Weight:</th>
								<th>
									<xsl:value-of select="weight"/>
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
									<xsl:value-of select="uom"/>
								</th>
							</tr>
							</xsl:if>
							</xsl:if>
							<tr align="left">
								<th bgcolor="lightblue">Reference:</th>
								<th>
									<xsl:value-of select="reference"/>
								</th>
							</tr>
						</tbody>
					</table>
					<br/>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
